/**
 * build suggestion
 * @param {{ cluster: string, namespace: string, name: string, type: string, key: string }} params params
 * @returns {string} suggestion
 */
export function buildSuggestion({ cluster, namespace, name, type, key }: {
    cluster: string;
    namespace: string;
    name: string;
    type: string;
    key: string;
}): string;
/**
 * construct a k8s client
 * @param {{ cluster: string, getContext: getContextFn, log: Logger}} params params
 */
export function buildClient({ cluster, getContext, log }: {
    cluster: string;
    getContext: getContextFn;
    log: Logger;
}): Promise<any>;
export function getCurrentNamespace(): Promise<any>;
export function getReferences(ctx: any, variable?: string): {
    namespace: any;
    name: string;
    key: string;
};
