export namespace ErrorLVL {
    let Warn: string;
    let Crit: string;
}
declare namespace ContextRequestTimeoutError {
    export let name: string;
    export let message: string;
    import lvl = ErrorLVL.Crit;
    export { lvl };
}
declare namespace ContextRequestError {
    let name_1: string;
    export { name_1 as name };
    let message_1: string;
    export { message_1 as message };
    import lvl_1 = ErrorLVL.Crit;
    export { lvl_1 as lvl };
}
declare namespace IntegrationKeyNotFoundError {
    let name_2: string;
    export { name_2 as name };
    let message_2: string;
    export { message_2 as message };
    import lvl_2 = ErrorLVL.Warn;
    export { lvl_2 as lvl };
    let _default: string;
    export { _default as default };
}
declare namespace IntegrationNotFoundError {
    let name_3: string;
    export { name_3 as name };
    let message_3: string;
    export { message_3 as message };
    import lvl_3 = ErrorLVL.Crit;
    export { lvl_3 as lvl };
}
declare namespace RequestTimeoutError {
    let name_4: string;
    export { name_4 as name };
    let message_4: string;
    export { message_4 as message };
    import lvl_4 = ErrorLVL.Warn;
    export { lvl_4 as lvl };
}
declare namespace APIRequestError {
    let name_5: string;
    export { name_5 as name };
    let message_5: string;
    export { message_5 as message };
    import lvl_5 = ErrorLVL.Warn;
    export { lvl_5 as lvl };
}
declare namespace FSError {
    let name_6: string;
    export { name_6 as name };
    let message_6: string;
    export { message_6 as message };
    import lvl_6 = ErrorLVL.Crit;
    export { lvl_6 as lvl };
}
declare namespace MissingReferenceError {
    let name_7: string;
    export { name_7 as name };
    let message_7: string;
    export { message_7 as message };
    import lvl_7 = ErrorLVL.Crit;
    export { lvl_7 as lvl };
}
declare namespace AuthenticationError {
    let name_8: string;
    export { name_8 as name };
    let message_8: string;
    export { message_8 as message };
    import lvl_8 = ErrorLVL.Crit;
    export { lvl_8 as lvl };
}
declare namespace InitError {
    let name_9: string;
    export { name_9 as name };
    let message_9: string;
    export { message_9 as message };
    import lvl_9 = ErrorLVL.Crit;
    export { lvl_9 as lvl };
}
export declare namespace Type {
    export { ContextRequestTimeoutError };
    export { ContextRequestError };
    export { IntegrationKeyNotFoundError };
    export { IntegrationNotFoundError };
    export { RequestTimeoutError };
    export { APIRequestError };
    export { FSError };
    export { MissingReferenceError };
    export { AuthenticationError };
    export { InitError };
}
export {};
