/**
 * builds a secret resolver
 * @param {Object.<string, Resolver>} resolvers
 * @returns {Resolver & { secret: true }} secretResolver
 */
export function build(resolvers: {
    [x: string]: Resolver;
}): Resolver & {
    secret: true;
};
